POST https://webhook.example.com

Definitions

Attribute Meaning Type
amends.plu Unique identifier of the amended item String
amends.quantity Original quantity of the item ordered Integer
amends.subItems Where applicable, subItems associated with the item ordered Object
finalQuantity Updated quantity of the item ordered String
amendmentReason Stated reason for amending the item if available Enum string
amendmentAction Enum string
substitutePlu String

Responses

  • 200 application/json

    Ok

POST /channel/amendments
Response examples (200)
{
  "channelOrderId": "TEST******4206",
  "channelLink": "61********************c3",
  "itemAmendments": [
    {
      "amends": {
        "plu": "BURG1",
        "quantity": 1,
        "subItems": [
          {
            "plu": "MOD1",
            "quantity": 1,
            "subItems": [
              {
                "plu": "MOD5",
                "quantity": 1,
                "subItems": []
              }
            ]
          }
        ]
      },
      "finalQuantity": 0,
      "amendmentAction": "ADJUST",
      "amendmentReason": "OUT_OF_STOCK"
    }
  ]
}
{
  "channelOrderId": "TEST******4206",
  "channelLink": "61********************c3",
  "itemAmendments": [
    {
      "amends": {
        "plu": "COLA1",
        "quantity": 1
      },
      "finalQuantity": 2
    }
  ]
}
{
  "channelOrderId": "TEST******4206",
  "channelLink": "61********************c3",
  "itemAmendments": [
    {
      "amends": {
        "plu": "COLA1",
        "quantity": 1,
        "subItems": []
      },
      "finalQuantity": 1,
      "amendmentAction": "REPLACE",
      "amendmentReason": "OUT_OF_STOCK",
      "substitutePlu": "LEM2"
    }
  ]
}